# GEIGER local Storage implementation

This repository contains the implementation for the local storage used in the GEIGER project in dart.

## GEIGER Project
The GEIGER project aims to create a solution for small businesses to protect themselves against cyber threats by constructing an application that calculates a threat score of the current device.

More information can be found under [https://project.cyber-geiger.eu/(https://project.cyber-geiger.eu/).

## For Java developers
We will provide an interoperating java bridge ASAP.

## Quick start
### Create an ephemeral storage with a controller for testing puposes 
```Dart
StorageController controller = GenericController('theOwner',DummyMapper());
```
### Create a persistent storage with a controller  
```Dart
StorageController controller = GenericController('theOwner',SqliteMapper('./dbFileName.sqlite'));
```

## Troubleshoot
### SQLiteMapper Related advice
If you have Problems with an uncommon platform it may be related to missing runtimes of SQLite. In such a case it may be helpful to install the respective runtime on the system or place it in the main directory of your code. Precompiled runtime libraries may be found on the [official SQLite page](https://www.sqlite.org/download.html).

Another hint may be [this](https://github.com/cyber-geiger/toolbox-storage/issues/9) github issue.
