library geiger_localstorage;

/// Represents the type of event for a storage event.
enum EventType { create, update, delete, rename }

extension EventTypeExtension on EventType {
  String toValueString() => toString().split('.').last;

  static EventType? fromString(String value) {
    try {
      return EventType.values.firstWhere(
          (e) => e.toString() == value || e.toValueString() == value);
    } on StateError {
      return null;
    }
  }
}
